PluginManagementSpec (Gradle API 9.3.0)
Description: declaration: package: org.gradle.plugin.management, interface: PluginManagementSpec

Package org.gradle.plugin.management

# Interface PluginManagementSpec

@ServiceScope(org.gradle.internal.service.scopes.Scope.Settings.class) public interface PluginManagementSpec
Configures how plugins are resolved.

Since:
  3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PluginDependenciesSpec`
  `getPlugins()`
  The Plugin dependencies, permitting default plugin versions to be configured.
  `RepositoryHandler`
  `getRepositories()`
  The plugin repositories to use.
  `PluginResolutionStrategy`
  `getResolutionStrategy()`
  The plugin resolution strategy.
  `void`
  `includeBuild(String rootProject)`
  Includes a plugin build at the specified path to the composite build.
  `void`
  `includeBuild(String rootProject, Action<ConfigurableIncludedPluginBuild> configuration)`
  Includes a plugin build at the specified path to the composite build, with the supplied configuration.
  `void`
  `plugins(Action<? super PluginDependenciesSpec> action)`
  Configure the default plugin versions.
  `void`
  `repositories(Action<? super RepositoryHandler> repositoriesAction)`
  Defines the plugin repositories to use.
  `void`
  `resolutionStrategy(Action<? super PluginResolutionStrategy> action)`
  Configure the plugin resolution strategy.

- ## Method Details

  - ### repositories

    void repositories(Action<? super RepositoryHandler> repositoriesAction)
    Defines the plugin repositories to use.

  - ### getRepositories

    RepositoryHandler getRepositories()
    The plugin repositories to use.

  - ### resolutionStrategy

    void resolutionStrategy(Action<? super PluginResolutionStrategy> action)
    Configure the plugin resolution strategy.

  - ### getResolutionStrategy

    PluginResolutionStrategy getResolutionStrategy()
    The plugin resolution strategy.

  - ### plugins

    void plugins(Action<? super PluginDependenciesSpec> action)
    Configure the default plugin versions.
    Since:
      5.6

  - ### getPlugins

    PluginDependenciesSpec getPlugins()
    The Plugin dependencies, permitting default plugin versions to be configured.
    Since:
      5.6

  - ### includeBuild

    void includeBuild(String rootProject)
    Includes a plugin build at the specified path to the composite build. Included plugin builds can contribute settings and project plugins.
    Parameters:
      `rootProject` - The path to the root project directory for the build.
    Since:
      7.0

  - ### includeBuild

    void includeBuild(String rootProject, Action<ConfigurableIncludedPluginBuild> configuration)
    Includes a plugin build at the specified path to the composite build, with the supplied configuration. Included plugin builds can contribute settings and project plugins.
    Parameters:
      `rootProject` - The path to the root project directory for the build.
      `configuration` - An action to configure the included build.
    Since:
      7.0